Subject: bug#54237: Disabling `scroll-bar-mode' fails when setting `default-frame-alist'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Mar 2022 16:56:58 +0100

Lars Ingebrigtsen <[email-masked]> writes:

>> The problem arose since `set-cursor-color' doesn't work when starting
>> Emacs as a server so I changed `default-frame-alist' but that enabled
>> `scroll-bar-mode' ...
>>
>> Feel free to close this as it's not a bug, then.
>
> Perhaps this quirk should be documented in the scroll-bar-mode doc
> string, though?

I've now done so in Emacs 29 in both the scroll-bar-mode and
default-frame-alist doc strings.  (The latter already hinted at there
being problems with setting it directly, but I've made it more
explicit.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no